## ros-noetic-qb-softhand-industry-hardware-interface 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(qb_softhand_industry_hardware_interface VERSION 1.0.9 LANGUAGES CXX)

# Dependency Settings
find_package(catkin REQUIRED
  COMPONENTS
    roscpp
    hardware_interface
    joint_limits_interface
    transmission_interface
    qb_softhand_industry_msgs
    qb_softhand_industry_srvs
    control_toolbox
    controller_manager
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
    hardware_interface
    joint_limits_interface
    transmission_interface
    qb_softhand_industry_msgs
    qb_softhand_industry_srvs
    control_toolbox
    controller_manager
)

# Exported libraries
add_library(${PROJECT_NAME}
  src/qb_softhand_industry_hardware_interface.cpp
)

target_link_libraries(${PROJECT_NAME}
  PUBLIC
    ${catkin_LIBRARIES}
)

add_dependencies(${PROJECT_NAME}
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

# C++ Settings
if (CMAKE_VERSION VERSION_LESS "3.1")
  target_compile_options(${PROJECT_NAME}
    PUBLIC
      "-std=c++14"
  )
else ()
  set_property(
    TARGET
      ${PROJECT_NAME}
    PROPERTY CXX_STANDARD 14
  )

  set_property(
    TARGET
      ${PROJECT_NAME}
    PROPERTY CXX_STANDARD_REQUIRED ON
  )
endif ()

# Installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(
  DIRECTORY
    include/${PROJECT_NAME}/
  DESTINATION
    ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-qb-softhand-industry-hardware-interface (1.0.9-1focal) focal; urgency=high

  * Fixed dependency to controller_manager

 -- Support Team <support@qbrobotics.com>  Wed, 06 Sep 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-hardware-interface (1.0.8-1focal) focal; urgency=high



 -- Support Team <support@qbrobotics.com>  Thu, 03 Aug 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-hardware-interface (1.0.7-1focal) focal; urgency=high

  * Updated package Infos

 -- Support Team <support@qbrobotics.com>  Thu, 03 Aug 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-hardware-interface (1.0.6-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 31 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-hardware-interface (1.0.5-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 31 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-hardware-interface (1.0.4-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 31 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-hardware-interface (1.0.3-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-hardware-interface (1.0.2-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 25 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-hardware-interface (1.0.1-1focal) focal; urgency=high

  * FIX: dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 25 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-hardware-interface (1.0.0-1focal) focal; urgency=high

  * Added transmission interface to remap position cmds from ticks to percentage
  * Removed not usefull data in msgs and srvs
  * Joint varables changes with device_name param

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 25 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-hardware-interface (0.0.1-1focal) focal; urgency=high

  * start development

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 14 Mar 2019 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-qb-softhand-industry-hardware-interface
Section: misc
Priority: optional
Maintainer: Support Team <support@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-control-toolbox, ros-noetic-controller-manager, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-qb-softhand-industry-msgs, ros-noetic-qb-softhand-industry-srvs, ros-noetic-roscpp, ros-noetic-transmission-interface
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-qb-softhand-industry-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-control-toolbox, ros-noetic-controller-manager, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-qb-softhand-industry-msgs, ros-noetic-qb-softhand-industry-srvs, ros-noetic-roscpp, ros-noetic-transmission-interface
Description: This package contains the hardware interface for qbrobotics® SoftHand INdustry device.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-qb-softhand-industry-hardware-interface//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
